## slurm-llnl 2.1.9

=== debian/changelog ===
slurm-llnl (2.1.9-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 12 Jun 2010 05:53:11 +0200

slurm-llnl (2.1.8-1) unstable; urgency=low

  * New upstream release 
  * Removed logrotate filename wildcards to avoid conflicts between the 
    slurm-llnl and the slurm-llnl-slurmdbd packages (Closes: #580010) 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 21 May 2010 16:39:37 +0200

slurm-llnl (2.1.7-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 16 Apr 2010 22:15:07 +0200

slurm-llnl (2.1.6-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 29 Mar 2010 18:57:03 +0200

slurm-llnl (2.1.5-1) unstable; urgency=low

  * New upstream release
  * Added support for pam (Closes: #573461) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 25 Mar 2010 16:34:15 +0100

slurm-llnl (2.1.4-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 02 Mar 2010 23:58:44 +0100

slurm-llnl (2.1.2-1) unstable; urgency=low

  * New upstream release 
  * Added munge dependence for slurm-llnl-slurmdbd (Closes: #567013)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 14 Feb 2010 20:21:29 +0100

slurm-llnl (2.1.1-2) unstable; urgency=low

  * slurm-llnl-slurmdbd postinst script doesn't change /var/run/slurm-llnl
    owner anymore (Closes: #566572)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 25 Jan 2010 00:14:06 +0100

slurm-llnl (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #565454)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 21 Jan 2010 23:01:37 +0100

slurm-llnl (2.1.0-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 12 Jan 2010 11:32:17 +0100

slurm-llnl (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 14 Dec 2009 11:04:53 +0100

slurm-llnl (2.0.7-2) unstable; urgency=low

  * Fixed getline definition to build on AMD (Closes: #552836)
  * Changing dependency from version 8.3 to 8.4 of postgreSQL (Closes: #559605)
  * Fixing various typos

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 05 Dec 2009 23:28:51 +0100

slurm-llnl (2.0.7-1) unstable; urgency=low

  * New upstream release announced together with 2.0.6

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 18 Oct 2009 18:53:06 +0200

slurm-llnl (2.0.5-1) unstable; urgency=low

  * New upstream release 
  * Changed dependecy from lib-mysqlclient15 to lib-mysqlclient 
  * Added Default-Start for runlevel 2 and 4 and $remote_fs requirement in
    init.d scripts (Closes: #541252)
  * Postinst checks for wrong runlevels 2 and 4 links
  * Upgraded to standard version 3.8.3
  * Add lintian overrides for missing slurm-llnl-configurator.html in doc
    base registration
  * modified postrm scripts to ignore pkill return value in order to avoid
    postrm failure when no slurm process is running
  * Checking for slurmctld.pid before cancelling running and pending
    jobs during package removal 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 24 Sep 2009 23:28:15 +0200

slurm-llnl (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Removed gettext bashism in init.d scripts (Closes: #530993, #530994)
  * init.d script modified to check that a daemon is not running before
    a call with the stop argument is completed

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Jul 2009 11:05:21 +0200

slurm-llnl (2.0.2-1) unstable; urgency=low

  * New upstream release 
  * New slurm-llnl-configurator.html
  * init.d script key check modified
  * init.d scripts create run-time variable data directories (/var/run)
  * slurm-llnl.init.d checks if StateSaveLocation SlurmdSpoolDir are
    under /var/run and link them to the actual location under /var/lib
  * postinst script remove StateSaveLocation and SlurmdSpoolDir content if
    upgrading from version 1 to start daemons in a clean state
  * Removed comments from the slurm.conf.simple file
  * Instruction for using openssl cryptography, not used by default anymore,
    moved to README.cryptotype-openssl
  * slurm-llnl.prerm added to cancel running and pending jobs when
    removing the package

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 26 Jun 2009 08:29:16 +0200

slurm-llnl (1.3.15-1) unstable; urgency=high

  * New slurm-llnl-basic-plugins{,-dev} descriptions (Closes: #512059)
  * New libpmi-dev description
  * Compat version upgraded to 7
  * Standard version upgraded to 3.8.1
  * Creating /var/run SLURM directories at boot rather than at
    installation time 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Apr 2009 20:09:37 +0200

slurm-llnl (1.3.13-1) unstable; urgency=low

  * New upstream release (Closes: #511511)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 14 Jan 2009 09:25:10 +0100

slurm-llnl (1.3.12-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 08 Jan 2009 10:41:16 +0100

slurm-llnl (1.3.11-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 03 Dec 2008 11:56:28 +0100

slurm-llnl (1.3.10-1) unstable; urgency=low

  * New upstream release 
  * Modified manual pages: sacctmgr.1

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 05 Nov 2008 11:07:01 +0100

slurm-llnl (1.3.9-1) unstable; urgency=low

  * New upstream release
  * New watch file with generic versioning
  * Modified manual pages: sacctmgr.1, sacct.1, sinfo.1,
    slurm_free_job_info_msg.3 and slurm_slurmd_status.3
  * Deleted empty manual page slurm_trigger.3 and its symbolic links:
    slurm_{clear,free,get,set}_trigger.3

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 15 Oct 2008 14:49:27 +0200

slurm-llnl (1.3.8-1) unstable; urgency=low

  * New upstream release


