=== debian/control ===
Source: slurm-llnl
Section: admin
Priority: extra
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Uploaders: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev
Standards-Version: 3.8.4
Homepage: https://computing.llnl.gov/linux/slurm/

Package: slurm-llnl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl, ucf, munge, slurm-llnl-basic-plugins (= ${binary:Version}), adduser, openssl-blacklist, openssl (>= 0.9.8g-9), lsb-base (>= 3.2-12)
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.

Package: libslurm21
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libpmi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libslurm21-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm21 (= ${binary:Version})
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm21 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: slurm-llnl-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM docmentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-llnl-basic-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-llnl-basic-plugins-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl-basic-plugins (= ${binary:Version})
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: slurm-llnl-sview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl (= ${binary:Version})
Description: GUI to view and modify SLURM state
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains sview a GUI that can be used to view SLURM
 configuration, job, step, node and partitions state information.
 Authorized users can also modify select information.

Package: slurm-llnl-slurmdbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl-basic-plugins (= ${binary:Version}), adduser, munge
Description: Secure enterprise-wide interface to a database for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contain SlurmDBD (Slurm DataBase Daemon) that can be
 used to securely manage the accounting data for several Slurm
 clusters in a central location and sacctmgr a command for managing
 user accounts in SlurmDBD.
