## slurm-llnl 2.1.15

=== debian/changelog ===
slurm-llnl (2.1.15-3) unstable; urgency=low

  * Make slurm-llnl-slurmdbd package depend on ucf (Closes: #604207) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 21 Nov 2010 21:12:24 +0100

slurm-llnl (2.1.15-2) unstable; urgency=low

  * Properly set LD_LIBRARY_PATH in slurm and slurmdbd init scripts
    FIX CVE-2010-3380 (Closes: #602340)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 04 Nov 2010 12:36:33 +0100

slurm-llnl (2.1.15-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 16 Oct 2010 22:52:17 +0200

slurm-llnl (2.1.14-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 03 Sep 2010 18:03:29 +0200
