## slurm-llnl 2.2.4

=== debian/changelog ===
slurm-llnl (2.2.4-1) unstable; urgency=low

  * New upstream releases 
  * Cleaning spare file and directories, not belonging to the sources
    generated by the building process and not removed by distclean.
    Added debian/clean with spare files and rm -rf inside debian/rules
    for directories.
  * Added new packages libslurm-perl, libslurmdb-perl, slurm-llnl-torque
    (Closes: #575822) thanks to Julien Blache

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 08 Apr 2011 11:21:17 +0200

slurm-llnl (2.2.3-1) unstable; urgency=low

  * New upstream release
  * Patches renamed to represent their purposes 
  * libslurm22.symbol updated

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 03 Mar 2011 10:20:43 +0100

slurm-llnl (2.2.1-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Jan 2011 11:13:19 +0100

slurm-llnl (2.2.0-1) unstable; urgency=low

  * New upstream major release 
  * libsurm22{,-dev} replace libsurm21{,-dev}
  * New libsurmdb22{,-dev} package

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 12 Jan 2011 13:25:42 +0100
