=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev, libperl-dev, chrpath
 Standards-Version: 3.9.1
 Homepage: https://computing.llnl.gov/linux/slurm/
 
@@ -16,7 +16,16 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
 
-Package: libslurm21
+Package: libslurmdb22
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Runtime library files for the SLURM DataBase Daemon
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains the SLURM DataBase Daemon runtime library.
+
+Package: libslurm22
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -34,19 +43,30 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM PMI runtime implementation.
 
-Package: libslurm21-dev
+Package: libslurm-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm21 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm22 (= ${binary:Version})
+Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
+Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
  This package contains SLURM static library and header files.
 
+Package: libslurmdb-dev
+Section: libdevel
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb22 (= ${binary:Version})
+Description: SLURM DataBase Daemon development files
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains SLURM DataBase Daemon static library and header files.
+
 Package: libpmi0-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm21 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm22 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -99,3 +119,34 @@
  used to securely manage the accounting data for several Slurm
  clusters in a central location and sacctmgr a command for managing
  user accounts in SlurmDBD.
+
+Package: libslurm-perl
+Section: perl
+Architecture: any
+Depends: ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Perl API for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Perl module.
+
+Package: libslurmdb-perl
+Section: perl
+Architecture: any
+Depends: ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Perl API for the SLURM database
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Perl module for the SLURM database.
+
+Package: slurm-llnl-torque
+Architecture: all
+Depends: libslurm-perl (>= ${source:Version}), libslurmdb-perl (>= ${source:Version}), ${perl:Depends}, ${misc:Depends}, slurm-llnl (>= ${source:Version})
+Conflicts: gridengine-client, torque-client, torque-client-x11
+Description: Torque compatibility wrappers for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Torque compatibility wrappers.
+
