=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,11 @@
 	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
 
 	# Add here commands to clean up after the build process.
+	[ ! -f contribs/perlapi/Makefile ] || $(MAKE) -C contribs/perlapi distclean
+	[ ! -f contribs/torque/Makefile ] || $(MAKE) -C contribs/torque distclean
 	[ ! -f Makefile ] || $(MAKE) distclean
+
+
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	  cp -f /usr/share/misc/config.sub config.sub
   endif
@@ -69,20 +73,30 @@
   endif
 
 
-	  dh_clean 
+	  rm -rf .pc contribs/pam/.deps \
+		src/plugins/accounting_storage/common/.deps \
+		src/plugins/accounting_storage/common/.libs
+	  dh_clean
 
   install: install-indep install-arch
   install-indep:
-	  dh_testdir
-	  dh_testroot
-	  dh_prep -i 
-	  dh_installdirs -i
-	  $(MAKE) -C doc/html install DESTDIR=$(CURDIR)/debian/slurm-llnl-doc
-	  dh_install -pslurm-llnl-doc debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*/html usr/share/doc/slurm-llnl-doc
-	  #Install documenation packages file
-	  rm -rf debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*
-
-	  dh_install -i
+	dh_testdir
+	dh_testroot
+	dh_prep -i 
+	dh_installdirs -i
+	$(MAKE) -C doc/html install DESTDIR=$(CURDIR)/debian/slurm-llnl-doc
+	dh_install -pslurm-llnl-doc debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*/html usr/share/doc/slurm-llnl-doc
+	#Install documenation packages file
+	rm -rf debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*
+
+	$(MAKE) -C contribs/torque install DESTDIR=$(CURDIR)/debian/slurm-llnl-torque
+	rm -f debian/slurm-llnl-torque/usr/bin/mpiexec
+
+	for i in debian/slurm-llnl-torque/usr/bin/*; do \
+		pod2man $$i > debian/slurm-llnl-torque/usr/share/man/man1/$$(basename $$i).1; \
+	done
+
+	dh_install -i
 
   install-arch:
 	dh_testdir
@@ -109,13 +123,25 @@
 	rm -f debian/slurm-llnl/usr/include/slurm/pmi.h
 	rm -f debian/slurm-llnl/usr/lib/libpmi*
 
+	# libslurmdb packages
+	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/include/slurm/slurmdb.h usr/include/slurm
+	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
+	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
+	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
+	dh_install -plibslurmdb22 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
+	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
+	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
+	rm -f debian/slurm-llnl/usr/lib/libslurmdb.so
+	rm -f debian/slurm-llnl/usr/lib/libslurmdb.so.*
+
 	# libslurm packages
-	dh_install -plibslurm21-dev debian/slurm-llnl/usr/include/slurm/* usr/include/slurm
-	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/*.a usr/lib
-	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
-	dh_install -plibslurm21-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
-	dh_installman -plibslurm21-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm21 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm-dev debian/slurm-llnl/usr/include/slurm/* usr/include/slurm
+	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/*.a usr/lib
+	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
+	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
+	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
+	dh_install -plibslurm22 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
 	rm -rf debian/slurm-llnl/usr/include
 	rm -f debian/slurm-llnl/usr/lib/*.a
 	rm -f debian/slurm-llnl/usr/lib/lib*.la
@@ -154,6 +180,16 @@
 	rm -f debian/slurm-llnl/usr/share/man/man1/sacctmgr.1
 
 	rmdir debian/slurm-llnl/usr/lib
+
+	# Perl
+	$(MAKE) -C contribs/perlapi install DESTDIR=$(CURDIR)/debian/libslurm-perl PERL_MM_OPT="INSTALLDIRS=vendor"
+
+	find debian/libslurm-perl -type f -name "*.so" | xargs chrpath -d
+
+	mv debian/libslurm-perl/usr/lib/perl5/Slurmdb.pm debian/libslurmdb-perl/usr/lib/perl5/
+	mv debian/libslurm-perl/usr/lib/perl5/auto/Slurmdb debian/libslurmdb-perl/usr/lib/perl5/auto
+	mv debian/libslurm-perl/usr/share/man/man3/Slurmdb.3pm debian/libslurmdb-perl/usr/share/man/man3
+
 	dh_install -s
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
@@ -166,29 +202,3 @@
 	dh_installexamples
 	install -m644 debian/slurm-llnl.lintian debian/slurm-llnl/usr/share/lintian/overrides/slurm-llnl
 #	dh_installexamples debian/slurm-resume.sh
-#	dh_installexamples debian/slurm-suspend.sh
-#	dh_installexamples debian/slurm.conf.simple
-#	dh_installexamples -pslurm-llnl-slurmdbd debian/slurmdbd.conf.simple
-	dh_installinit
-	dh_installlogrotate
-	dh_installdebconf
-	dh_installman
-	dh_compress -X.pdf -X.example
-	dh_strip
-	dh_fixperms
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-# Build architecture independant packages using the common target.
-binary-indep: build-indep install-indep
-	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
-
-# Build architecture dependant packages using the common target.
-binary-arch: build-arch install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
-
-binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
