## slurm-llnl 2.2.5

=== debian/changelog ===
slurm-llnl (2.2.5-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 May 2011 10:48:55 +0200
