=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-8.4, libpam0g-dev, libperl-dev, chrpath
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://computing.llnl.gov/linux/slurm/
 
 Package: slurm-llnl
