## slurm-llnl 2.2.6

=== debian/changelog ===
slurm-llnl (2.2.6-1) unstable; urgency=low

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 10 Jun 2011 13:10:13 +0200
