## slurm-llnl 2.2.7

=== debian/changelog ===
slurm-llnl (2.2.7-2build2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Thu, 24 Nov 2011 00:24:56 -0800

slurm-llnl (2.2.7-2build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2011 14:03:45 +0000

slurm-llnl (2.2.7-2) unstable; urgency=low

  * Rebuild package against postgresql-server-dev-9.1 (Closes: #639480)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 27 Aug 2011 19:19:03 +0200

slurm-llnl (2.2.7-1) unstable; urgency=low

  * New upstream release
  * Empty dependency_libs entries in .la files (Closes: #633286) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 11 Jul 2011 16:01:19 +0200
