=== debian/rules ===
--- 
+++ 
@@ -106,6 +106,7 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/slurm-llnl
+	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	rm -fr debian/slurm-llnl/usr/lib/slurm/src
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_epilog
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_prolog
@@ -199,4 +200,3 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
-	install -m644 debian/slurm-llnl.lintian debian/slurm-llnl/usr/share/lintian/overrides/slurm-llnl
