## slurm-llnl 2.3.2

=== debian/changelog ===
slurm-llnl (2.3.2-1ubuntu1) precise; urgency=low

  * debian/control: Build package against postgresql-server-dev-9.1 again.
    This was already done in 2.2.7-2, but that version disappeared from the
    history. (Debian #639480)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Feb 2012 10:20:31 +0100

slurm-llnl (2.3.2-1) unstable; urgency=low

  * New upstream release
  * slurm-llnl-configurator.html updated
  * libpam-slurm packages merged to slurm-llnl source
  * libpam-slurm package new versioning following slurm-llnl

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 27 Dec 2011 19:27:46 +0100
