=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam --without-rpath
 
 
 
@@ -68,6 +68,7 @@
 	# Add here commands to clean up after the build process.
 	[ ! -f contribs/perlapi/Makefile ] || $(MAKE) -C contribs/perlapi distclean
 	[ ! -f contribs/torque/Makefile ] || $(MAKE) -C contribs/torque distclean
+	[ ! -f contribs/pam/Makefile ] || $(MAKE) -C contribs/pam distclean
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 	  rm -rf .pc contribs/pam/.deps \
@@ -106,12 +107,14 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/slurm-llnl
+	sed -i "s/\-shared/-shared -lc/" contribs/pam/Makefile
+	$(MAKE) -C contribs/pam install DESTDIR=$(CURDIR)/debian/slurm-llnl
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	rm -fr debian/slurm-llnl/usr/lib/slurm/src
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_epilog
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_prolog
 	rmdir  debian/slurm-llnl/usr/share/slurm
-	dh_install debian/slurm-llnl-configurator.html usr/share/doc/slurm-llnl
+	dh_install -pslurm-llnl debian/slurm-llnl-configurator.html usr/share/doc/slurm-llnl
 	rm -rf debian/slurm-llnl/usr/share/doc/slurm-[0-9]*
 
 	# pmi packages
@@ -128,7 +131,7 @@
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
-	dh_install -plibslurmdb22 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	dh_install -plibslurmdb23 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
 	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
@@ -141,7 +144,10 @@
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
 	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm22 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm23 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
+	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
+	#echo LIBSLURM is $(LIBSLURM)
 	rm -rf debian/slurm-llnl/usr/include
 	rm -f debian/slurm-llnl/usr/lib/*.a
 	rm -f debian/slurm-llnl/usr/lib/lib*.la
@@ -172,7 +178,6 @@
 	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man8/slurmdbd.8 usr/share/man/man8
 	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man5/slurmdbd.conf.5 usr/share/man/man5
 	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man1/sacctmgr.1 usr/share/man/man1
-
 	rm -f debian/slurm-llnl/usr/sbin/slurmdbd
 	rm -f debian/slurm-llnl/usr/bin/sacctmgr
 	rm -f debian/slurm-llnl/usr/share/man/man8/slurmdbd.8
@@ -181,22 +186,13 @@
 
 	rmdir debian/slurm-llnl/usr/lib
 
+	#libpam-slurm package
+	dh_install -plibpam-slurm debian/slurm-llnl/lib/security/pam_slurm.so lib/security
+	rm -rf debian/slurm-llnl/lib
+
+
 	# Perl
 	$(MAKE) -C contribs/perlapi install DESTDIR=$(CURDIR)/debian/libslurm-perl PERL_MM_OPT="INSTALLDIRS=vendor"
 
 	find debian/libslurm-perl -type f -name "*.so" | xargs chrpath -d
 
-	mv debian/libslurm-perl/usr/lib/perl5/Slurmdb.pm debian/libslurmdb-perl/usr/lib/perl5/
-	mv debian/libslurm-perl/usr/lib/perl5/auto/Slurmdb debian/libslurmdb-perl/usr/lib/perl5/auto
-	mv debian/libslurm-perl/usr/share/man/man3/Slurmdb.3pm debian/libslurmdb-perl/usr/share/man/man3
-
-	dh_install -s
-# Must not depend on anything. This is to be called by
-# binary-arch/binary-indep
-# in another 'make' thread.
-binary-common:
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_installexamples
